#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliMessage (Gtk.MessageDialog):
    def __init__(self, parent, text):
        Gtk.MessageDialog.__init__(
            self,
            buttons=Gtk.ButtonsType.OK,
            modal=True,
            transient_for=parent,
            use_markup=True,
            text=text,
            secondary_text='from comipoli')
    @staticmethod
    def show_dialog(parent, text):
        dlg = ComipoliMessage(parent, text)
        dlg.connect('response', lambda d,i: d.destroy())
        dlg.show()
