#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliShortcuts(Gtk.ShortcutsWindow):
    def __init__(self):
        Gtk.ShortcutsWindow.__init__(self, modal=True)
        #
        appli = Gtk.ShortcutsGroup(title='Application')
        appli.append(Gtk.ShortcutsShortcut(accelerator='<ctl>q', title='Exit Application'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='<ctl>w', title='Close Window'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='Escape', title='Close Window', subtitle_set=True, subtitle='or Releace FullScreen'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='F11', title='Toggle FullScreen'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='F9', title='Show Thumbnail'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='F8', title='Swap left and right pages'))
        appli.append(Gtk.ShortcutsShortcut(accelerator='<ctl>o', title='Show FileChooser Dialog'))
        #
        page = Gtk.ShortcutsGroup(title='Page')
        page.append(Gtk.ShortcutsShortcut(accelerator='space', title='Next Page'))
        page.append(Gtk.ShortcutsShortcut(accelerator='BackSpace', title='Previos Page'))
        page.append(Gtk.ShortcutsShortcut(accelerator='<ctl>space', title='Step Next Page'))
        page.append(Gtk.ShortcutsShortcut(accelerator='<ctl>BackSpace', title='Step Previos Page'))
        page.append(Gtk.ShortcutsShortcut(accelerator='Left', title='Next Page', subtitle_set=True, subtitle='[L->R] @ Previos Page)'))
        page.append(Gtk.ShortcutsShortcut(accelerator='Right', title='Previos Page', subtitle_set=True, subtitle='[L->R] @ Next Page)'))
        page.append(Gtk.ShortcutsShortcut(accelerator='<ctl>Left', title='Step Next Page', subtitle_set=True, subtitle='[L->R] @ Step Previos Page)'))
        page.append(Gtk.ShortcutsShortcut(accelerator='<ctl>Right', title='Step Previos Page', subtitle_set=True, subtitle='[L->R] @ Step Next Page)'))
        page.append(Gtk.ShortcutsShortcut(accelerator='Home', title='First Page'))
        page.append(Gtk.ShortcutsShortcut(accelerator='End', title='Last Page'))
        #
        section = Gtk.ShortcutsSection(max_height=10, section_name='app', title='Application', orientation=Gtk.Orientation.HORIZONTAL)
        section.append(appli)
        section.append(page)
        self.set_child(section)

